SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001040SiT!incidentspublic2010-01-12 18:322011-05-13 16:44
Reportersancho78rus 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001040: Unable to add incident when contacts name is in Cryillic
Description1) When add new incident and press View contacts a message appears in the bottom every time: Sorry, unable to find any records matching a.
We have onle cyrillic letters.
2) And i think there is no need to see message "This incident will be logged against the customers CONTRACT. Are you sure you want to continue?" every time.
TagsNo tags attached.
Attached Filesjpg file icon Untitled-1.jpg [^] (87,236 bytes) 2010-01-12 18:40

- Relationships
related to 0000879resolvedivan incident_add.php finds incorrect details 

-  Notes
(0002276)
sancho78rus (reporter)
2010-01-12 18:42

3) search dont work correct in cyrillic (see attach). search in my example should return only first row.
(0002277)
sancho78rus (reporter)
2010-01-12 18:45

4) may be, if result of search - is only one row (one contact) - there is no need to press "add incident". i mean that "add incident" form should appear right after you press Search button if the result of searc is only one contact with one contract.
User avatar (0002278)
paulh (administrator)
2010-01-12 19:29

2) I agree especially if its an unlimited contract, if its a incident limited contract then it should probably show this but word it differently?

3) I've seen a similar problem with latin chars its due to a eronious maintenance contract1 (I believe) which I understand is fixed in new installed though I need to investigate fully

4) I thought that was the default behavior but I could be mistaken
User avatar (0002280)
ivan (administrator)
2010-01-13 13:07

Thanks for the report, in future though please could you log separate reports for each problem/issue it does get really complicated when we try and deal with multiple issues in a single bug report.

Having said that in response to your second point (2) I have always intended to make this message optional and will be doing so as part of adding a user config feature, see bug 0000863. In response to point four (4) the page is deliberately shown because even if there is only one contract that may not be the contract you want to log an incident against, a new contract may need creating.
(0002281)
sancho78rus (reporter)
2010-01-13 13:24

2) it should be turned off by default. what version it would be? 4.0?
4) but creating incidents is more often, than creating contracts. if there is need to create new contract - you can do it other way and then create incident.
User avatar (0002282)
ivan (administrator)
2010-01-13 14:44

The intermediate step is there so that the user can check the contract details, it's not something I want to get rid of
User avatar (0002283)
nicdev (developer)
2010-01-14 10:22

Hi,

Fully agree with Ivan on this one.
User avatar (0002532)
paulh (administrator)
2010-02-28 13:13

Actually I can't repro this, (I'd forgotten to assign them to a contract ;-))
(0002533)
sancho78rus (reporter)
2010-02-28 15:35

search dont work correct in cyrillic (see attach). search in my example should return only one result (first row). its still a problem.
User avatar (0002534)
ivan (administrator)
2010-02-28 17:00

I can't read the text on your screenshot because I don't speak Russian :-( But you do often get multiple results for a single search, that is because one person can have multiple contracts. Is that what you have?
(0002535)
sancho78rus (reporter)
2010-02-28 17:42

When i search by contact name and type 3 first letters (for example) of contact name - search result shows other contacts, but must return only one contact (only one contact meet search query).

i dont think i uderstand your question correctly...
every person have only one contract.
there are contacts from many sites in search results and only one of them meet query.
product is the same for all contact's contracts in search result.
User avatar (0002537)
ivan (administrator)
2010-02-28 17:51

Ok I think I understand the bug report now, so the results you're getting really shouldn't show up. I know that's what you said, but I couldn't really see that from the screenshot without understanding the words. :-(

I suspect that this bug might be related to Bug 0000879 where the SOUNDEX search is causing some incorrect results to be returned. SOUNDEX only works for English, and we're using it whatever language is configured, so I suspect this is why you're seeing odd results. I'll update the other bug report.
User avatar (0003782)
ivan (administrator)
2011-05-13 16:37

As far as I can tell the fix for 0000879 also resolves this.

- Issue History
Date Modified Username Field Change
2010-01-12 18:32 sancho78rus New Issue
2010-01-12 18:40 sancho78rus File Added: Untitled-1.jpg
2010-01-12 18:42 sancho78rus Note Added: 0002276
2010-01-12 18:45 sancho78rus Note Added: 0002277
2010-01-12 19:29 paulh Note Added: 0002278
2010-01-13 13:07 ivan Note Added: 0002280
2010-01-13 13:24 sancho78rus Note Added: 0002281
2010-01-13 14:44 ivan Note Added: 0002282
2010-01-14 10:22 nicdev Note Added: 0002283
2010-02-28 13:07 paulh Summary some problems when create incident => Unable to add incident when contacts name is in Cryillic
2010-02-28 13:08 paulh Note Added: 0002531
2010-02-28 13:08 paulh Status new => confirmed
2010-02-28 13:12 paulh Note Deleted: 0002531
2010-02-28 13:13 paulh Note Added: 0002532
2010-02-28 13:13 paulh Status confirmed => new
2010-02-28 15:35 sancho78rus Note Added: 0002533
2010-02-28 17:00 ivan Note Added: 0002534
2010-02-28 17:42 sancho78rus Note Added: 0002535
2010-02-28 17:51 ivan Note Added: 0002537
2010-02-28 17:51 ivan Relationship added related to 0000879
2010-03-01 11:31 ivan Status new => acknowledged
2011-05-13 16:36 ivan Assigned To => ivan
2011-05-13 16:36 ivan Status acknowledged => assigned
2011-05-13 16:37 ivan Note Added: 0003782
2011-05-13 16:37 ivan Status assigned => resolved
2011-05-13 16:37 ivan Fixed in Version => Current GIT
2011-05-13 16:37 ivan Resolution open => fixed
2011-05-13 16:44 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker